## ros-kinetic-agvs-sim 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(agvs_sim)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-agvs-sim (0.1.3-0xenial) xenial; urgency=high



 -- Roberto Guzmán <rguzman@robotnik.es>  Thu, 18 Aug 2016 22:00:00 -0000

ros-kinetic-agvs-sim (0.1.2-0xenial) xenial; urgency=high

  * Updating changelogs
  * agvs_sim: adding metapackage config
  * indigo-0.1.1
  * Redoing CHANGELOGS
  * Fixing error name on dependency
  * Adding changelogs for the release
  * Update package.xml
  * Update package.xml
  * Update CMakeLists.txt
  * First indigo version commit
  * Contributors: Elena Gambaro, ElenaFG, RomanRobotnik
  * agvs_sim: adding metapackage config
  * indigo-0.1.1
  * Redoing CHANGELOGS

 -- Roberto Guzmán <rguzman@robotnik.es>  Tue, 19 Jul 2016 22:00:00 -0000

ros-kinetic-agvs-sim (0.1.1-0xenial) xenial; urgency=high

  * Fixing error name on dependency
  * Adding changelogs for the release
  * Update package.xml
  * Update package.xml
  * Update CMakeLists.txt
  * First indigo version commit
  * Contributors: Elena Gambaro, ElenaFG, RomanRobotnik

 -- Roberto Guzmán <rguzman@robotnik.es>  Tue, 28 Jul 2015 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-agvs-sim
Section: misc
Priority: extra
Maintainer: Roberto Guzmán <rguzman@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/agvs_sim
Standards-Version: 3.9.2

Package: ros-kinetic-agvs-sim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-agvs-control, ros-kinetic-agvs-gazebo, ros-kinetic-agvs-robot-control, ros-kinetic-agvs-sim-bringup
Description: agvs Gazebo simulation packages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-agvs-sim//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
